Skip to main content
`Ctrl`+`K`

# DMLabelEphemeralSetTransform

Set the transform for this ephemeral label

## Synopsis

    #include "petscdmlabelephemeral.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMLabelEphemeralSetTransform(DMLabel label, DMPlexTransform tr)

Not Collective

## Input Parameters

- label - the `DMLabel`

- tr - the transform for this ephemeral label

## Note

Ephemeral labels are produced automatically from a base label and a `DMPlexTransform`.

## See Also

`DMLabelEphemeralGetTransform()`, `DMLabelEphemeralSetLabel()`, `DMLabelSetType()`

## Level

intermediate

## Location

src/dm/label/impls/ephemeral/plex/dmlabelephplex.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages